com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class JceEncryptionFactory.Entry

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceEncryptionFactory.Entry

- Direct Known Subclasses:
    JceEncryptions.Entry
  Enclosing class:
    JceEncryptionFactory

      public static class JceEncryptionFactory.Entry
      extends java.lang.Object

  An algorithm entry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `algorithm`
    `int` | `blockLength`
    `int` | `keyLength`
    `java.lang.String` | `name`
    `static JceEncryptionFactory.Entry` | `NONE`
    `java.lang.Object` | `provider`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption` | `clientToServer(com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory, EncryptionFactory.Mode mode)`
    `static JceEncryptionFactory.Entry` | `entryFor(java.lang.String name, java.lang.String algorithm, java.security.Provider provider, int blockLength, int keyLength)`
    `static JceEncryptionFactory.Entry` | `entryFor(java.lang.String name, java.lang.String algorithm, java.lang.String provider, int blockLength, int keyLength)`
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption` | `serverToClient(com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory, EncryptionFactory.Mode mode)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final JceEncryptionFactory.Entry NONE

    - #### name

          public final java.lang.String name

    - #### algorithm

          public final java.lang.String algorithm

    - #### provider

          public final java.lang.Object provider

    - #### blockLength

          public final int blockLength

    - #### keyLength

          public final int keyLength

  - ### Method Detail

    - #### entryFor

          public static JceEncryptionFactory.Entry entryFor(java.lang.String name,
                                                            java.lang.String algorithm,
                                                            java.lang.String provider,
                                                            int blockLength,
                                                            int keyLength)

    - #### entryFor

          public static JceEncryptionFactory.Entry entryFor(java.lang.String name,
                                                            java.lang.String algorithm,
                                                            java.security.Provider provider,
                                                            int blockLength,
                                                            int keyLength)

    - #### clientToServer

          public com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption clientToServer(com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory,
                                                                                                 EncryptionFactory.Mode mode)
                                                                                          throws EncryptionFactory.OperationException

      Throws:
        `EncryptionFactory.OperationException`

    - #### serverToClient

          public com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption serverToClient(com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory,
                                                                                                 EncryptionFactory.Mode mode)
                                                                                          throws EncryptionFactory.OperationException

      Throws:
        `EncryptionFactory.OperationException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved